#pragma once
#include "node.h"
#include "node_button.h"
#include "node_text_input.h"

class NodeInputBox : public Node
{
public:
    std::function<void(Node*, std::string text)> on_submit = nullptr;
    NodeButton* btn_ok;
    NodeButton* btn_cancel;
    NodeText* m_field_name;
    NodeTextInput* m_field_text;
    NodeText* m_title;
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    virtual kEventResult handle_event(Event* e) override;
    virtual void added(Node* parent) override;
};
